
using Godot;
using System.Collections.Generic;

namespace Rokojori
{  
  public class CompositorEffectGraphProcessor:CompositorEffectGraphNode
  {
    protected List<CompositorEffectGraphConnection> _connections = new List<CompositorEffectGraphConnection>();

    public CompositorEffectGraphProcessor( _XX_CompositorEffectGraph graph ):base( graph ){}

    bool _initialized = false;

    public void Initialize()
    {
      if ( _initialized )
      {
        return;
      } 

      OnInitialize();
    }

    protected virtual void OnInitialize()
    {
      
    }

    public virtual void Process()
    {

    }
  }
}